package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 比赛玩法 
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMatchWay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 彩种
     */
    private String lotteryId;

    /**
     * 比赛
     */
    private Integer matchId;

    /**
     * 玩法
     */
    private String wayCode;

    /**
     * 是否开启
     */
    private Boolean isOn;

    /**
     * 允许单关
     */
    private Boolean isSingle;

    /**
     * 允许过关
     */
    private Boolean isPass;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;


}
