package com.yunzhi.niucai.service;

import com.yunzhi.niucai.entity.TaMatchOdds;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 赔率 服务类
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
public interface ITaMatchOddsService extends IService<TaMatchOdds> {

    List<TaMatchOdds> getByMatchAndRule(String lotteryId, Integer matchId, String ruleCode) throws Exception;

    Map<String, TaMatchOdds> getGroupedByRule(Integer matchId) throws Exception;

    TaMatchOdds getByRule(Integer matchId, String ruleCode);
}
