package com.yunzhi.niucai.common;

import com.yunzhi.niucai.entity.TaCustomer;
import com.yunzhi.niucai.service.ITaCustomerService;
import org.springframework.beans.factory.annotation.Autowired;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public class BaseController {
    @Autowired
    ITaCustomerService iTaCustomerService;

    protected TaCustomer getCustomer(HttpServletRequest request) throws Exception {
        Map<String, Object> params = JWTUtils.decode(JWTUtils.getToken(request));
        String client = params.get("client").toString();
        Integer id = Integer.valueOf(params.get("id").toString());

        if (!"app".equals(client)) {
            throw new Exception("当前非 APP 客户端");
        }

        TaCustomer customer = iTaCustomerService.getById(id);
        return customer;
    }
}
