package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 赔率
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMatchOdds implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 比赛ID
     */
    private Integer matchId;

    /**
     * 赛制编码
     */
    private String ruleCode;

    @TableField(exist = false)
    private String ruleName;

    @TableField(exist = false)
    private String wayCode;

    @TableField(exist = false)
    private String wayName;

    /**
     * 赔率
     */
    private String odds;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 彩种
     */
    private String lotteryId;

    private Boolean isWinning;
}
