package com.yunzhi.niucai.mapper;

import com.yunzhi.niucai.entity.TaMatchOdds;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 赔率 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Mapper
public interface TaMatchOddsMapper extends BaseMapper<TaMatchOdds> {

    List<Map<String, Object>> getByMatch(@Param("matchId") Integer matchId) throws Exception;

    List<TaMatchOdds> getByMatchAndRule(@Param("lotteryId") String lotteryId, @Param("matchId") Integer matchId, @Param("ruleCode") String ruleCode) throws Exception;
}
